Debian Bug report logs - #678136
zfsutils: FTBFS with libbsd-dev >= 0.4.0

version graph

Package: zfsutils; Maintainer for zfsutils is GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>; Source for zfsutils is src:zfsutils.

Reported by: Steven Chamberlain <steven@pyro.eu.org>

Date: Tue, 19 Jun 2012 13:36:02 UTC

Severity: serious

Tags: sid, wheezy

Found in version zfsutils/9.0-2

Fixed in version zfsutils/9.0-3

Done: Arno Töll <arno@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-bsd@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#678136; Package zfsutils. (Tue, 19 Jun 2012 13:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
New Bug report received and forwarded. Copy sent to debian-bsd@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Tue, 19 Jun 2012 13:36:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: zfsutils: FTBFS with libbsd-dev >= 0.4.0
Date: Tue, 19 Jun 2012 14:33:53 +0100
[Message part 1 (text/plain, inline)]
Package: zfsutils
Version: 9.0-2
Severity: serious
Tags: wheezy sid
User: debian-bsd@lists.debian.org
Usertags: kfreebsd
X-Debbugs-Cc: debian-bsd@lists.debian.org
Justification: fails to build from source (but built successfully in the
past)

Hi,

Due to libbsd-dev 0.4.0 moving libutil.h into /bsd/, zfsutils can no
longer build.  Attached patch would be a way to fix that but I wasn't
sure if there could be a better way.

Then there are other issues during build which I don't have time to look
into just yet:

> cc -Wall -Wno-unknown-pragmas -g -pipe -fPIC -I. -D_GNU_SOURCE -DNEED_SOLARIS_BOOLEAN -isystem /usr/include/freebsd -D__va_list=__builtin_va_list -O2  -DZFS_NO_ACL -I/h[10/1964]
> n/zfsutils-9.0/cddl/lib/libzfs/../../../sbin/mount -I/home/steven/zfsutils-9.0/cddl/lib/libzfs/../../../cddl/lib/libumem -I/home/steven/zfsutils-9.0/cddl/lib/libzfs/../../../sys
> /cddl/compat/opensolaris -I/home/steven/zfsutils-9.0/cddl/lib/libzfs/../../../cddl/compat/opensolaris/include -I/home/steven/zfsutils-9.0/cddl/lib/libzfs/../../../cddl/compat/op
> ensolaris/lib/libumem -I/home/steven/zfsutils-9.0/cddl/lib/libzfs/../../../cddl/contrib/opensolaris/lib/libzpool/common -I/home/steven/zfsutils-9.0/cddl/lib/libzfs/../../../sys/
> cddl/contrib/opensolaris/common/zfs -I/home/steven/zfsutils-9.0/cddl/lib/libzfs/../../../sys/cddl/contrib/opensolaris/uts/common/fs/zfs -I/home/steven/zfsutils-9.0/cddl/lib/libz
> fs/../../../sys/cddl/contrib/opensolaris/uts/common/sys -I/home/steven/zfsutils-9.0/cddl/lib/libzfs/../../../cddl/contrib/opensolaris/head -I/home/steven/zfsutils-9.0/cddl/lib/l
> ibzfs/../../../sys/cddl/contrib/opensolaris/uts/common -I/home/steven/zfsutils-9.0/cddl/lib/libzfs/../../../cddl/contrib/opensolaris/lib/libnvpair -I/home/steven/zfsutils-9.0/cd
> dl/lib/libzfs/../../../cddl/contrib/opensolaris/lib/libuutil/common -I/home/steven/zfsutils-9.0/cddl/lib/libzfs/../../../cddl/contrib/opensolaris/lib/libzfs/common -I/home/steve
> n/zfsutils-9.0/cddl/lib/libzfs/../../../lib/libmd -std=iso9899:1999 -fstack-protector -Wno-pointer-sign -c /home/steven/zfsutils-9.0/cddl/lib/libzfs/../../../cddl/compat/opensol
> aris/misc/deviceid.c
> In file included from /usr/include/sys/kern/types.h:48:0,
>                  from /usr/include/sys/kern/param.h:67,
>                  from /usr/include/osreldate.h:1,
>                  from /usr/include/i386-kfreebsd-gnu/sys/param.h:39,
>                  from /usr/include/freebsd/sys/param.h:1,
>                  from /home/steven/zfsutils-9.0/cddl/lib/libzfs/../../../sys/cddl/compat/opensolaris/sys/param.h:33,
>                  from /home/steven/zfsutils-9.0/cddl/lib/libzfs/../../../cddl/compat/opensolaris/misc/deviceid.c:30:
> /home/steven/zfsutils-9.0/cddl/lib/libzfs/../../../sys/cddl/compat/opensolaris/sys/types.h:49:1: error: unknown type name ‘u_int’
> /home/steven/zfsutils-9.0/cddl/lib/libzfs/../../../sys/cddl/compat/opensolaris/sys/types.h:50:1: error: unknown type name ‘u_char’
> /home/steven/zfsutils-9.0/cddl/lib/libzfs/../../../sys/cddl/compat/opensolaris/sys/types.h:51:1: error: unknown type name ‘u_short’
> /home/steven/zfsutils-9.0/cddl/lib/libzfs/../../../sys/cddl/compat/opensolaris/sys/types.h:52:1: error: unknown type name ‘u_long’
> /home/steven/zfsutils-9.0/cddl/lib/libzfs/../../../sys/cddl/compat/opensolaris/sys/types.h:55:1: error: unknown type name ‘off_t’
> /home/steven/zfsutils-9.0/cddl/lib/libzfs/../../../sys/cddl/compat/opensolaris/sys/types.h:56:1: error: unknown type name ‘id_t’
> /home/steven/zfsutils-9.0/cddl/lib/libzfs/../../../sys/cddl/compat/opensolaris/sys/types.h:57:1: error: unknown type name ‘id_t’
> /home/steven/zfsutils-9.0/cddl/lib/libzfs/../../../sys/cddl/compat/opensolaris/sys/types.h:58:1: error: unknown type name ‘id_t’
> /home/steven/zfsutils-9.0/cddl/lib/libzfs/../../../sys/cddl/compat/opensolaris/sys/types.h:59:1: error: unknown type name ‘id_t’
> /home/steven/zfsutils-9.0/cddl/lib/libzfs/../../../sys/cddl/compat/opensolaris/sys/types.h:60:1: error: unknown type name ‘id_t’
> /home/steven/zfsutils-9.0/cddl/lib/libzfs/../../../sys/cddl/compat/opensolaris/sys/types.h:61:1: error: unknown type name ‘mode_t’
> /home/steven/zfsutils-9.0/cddl/lib/libzfs/../../../sys/cddl/compat/opensolaris/sys/types.h:63:1: error: unknown type name ‘u_int’

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org
[zfsutils-libbsd-paths.diff (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#678136; Package zfsutils. (Thu, 21 Jun 2012 18:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arno Töll <arno@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Thu, 21 Jun 2012 18:33:05 GMT) Full text and rfc822 format available.

Message #10 received at 678136@bugs.debian.org (full text, mbox):

From: Arno Töll <arno@debian.org>
To: Steven Chamberlain <steven@pyro.eu.org>, 678136@bugs.debian.org
Subject: Re: Bug#678136: zfsutils: FTBFS with libbsd-dev >= 0.4.0
Date: Thu, 21 Jun 2012 20:31:32 +0200
[Message part 1 (text/plain, inline)]
Hi,

On 19.06.2012 15:33, Steven Chamberlain wrote:
> Due to libbsd-dev 0.4.0 moving libutil.h into /bsd/, zfsutils can no
> longer build.  Attached patch would be a way to fix that but I wasn't
> sure if there could be a better way.

Thanks! I was able to reproduce and fix the problem with the patch you
supplied. To me this is a fine an acceptable solution to fix the FTBS.

> Then there are other issues during build which I don't have time to look
> into just yet:


This however I couldn't reproduce. Anyone else can? For me zfsutils just
build fine after appyling your patch.

-- 
with kind regards,
Arno Töll
IRC: daemonkeeper on Freenode/OFTC
GnuPG Key-ID: 0x9D80F36D

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#678136; Package zfsutils. (Thu, 21 Jun 2012 19:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Thu, 21 Jun 2012 19:21:06 GMT) Full text and rfc822 format available.

Message #15 received at 678136@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: Arno Töll <arno@debian.org>, 678136@bugs.debian.org
Subject: Re: Bug#678136: zfsutils: FTBFS with libbsd-dev >= 0.4.0
Date: Thu, 21 Jun 2012 20:18:42 +0100
Hi,

On 21/06/12 19:31, Arno Töll wrote:
>> Then there are other issues during build which I don't have time to look
>> into just yet:
> 
> This however I couldn't reproduce. Anyone else can? For me zfsutils just
> build fine after appyling your patch.

Actually you're right, it's fine now in up-to-date sid chroot.

I'd originally tried to build it in a Wheezy environment that hadn't
been updated in a while.  This problem is gone after updating to the
latest freebsd-buildutils in Wheezy.

Thanks for reviewing and applying the patch.

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#678136; Package zfsutils. (Thu, 21 Jun 2012 19:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arno Töll <arno@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Thu, 21 Jun 2012 19:42:03 GMT) Full text and rfc822 format available.

Message #20 received at 678136@bugs.debian.org (full text, mbox):

From: Arno Töll <arno@debian.org>
To: Steven Chamberlain <steven@pyro.eu.org>
Cc: 678136@bugs.debian.org
Subject: Re: Bug#678136: zfsutils: FTBFS with libbsd-dev >= 0.4.0
Date: Thu, 21 Jun 2012 21:40:39 +0200
[Message part 1 (text/plain, inline)]
tag 678136 + pending
thanks

Hi,

On 21.06.2012 21:18, Steven Chamberlain wrote:
> Actually you're right, it's fine now in up-to-date sid chroot.

cool, thanks. I'll wait a bit for Robert or someone else to comment on
the patch. Otherwise I'll upload it soon.


-- 
with kind regards,
Arno Töll
IRC: daemonkeeper on Freenode/OFTC
GnuPG Key-ID: 0x9D80F36D

[signature.asc (application/pgp-signature, attachment)]

Added tag(s) pending. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Thu, 21 Jun 2012 20:21:09 GMT) Full text and rfc822 format available.

Reply sent to Arno Töll <arno@debian.org>:
You have taken responsibility. (Fri, 22 Jun 2012 20:57:19 GMT) Full text and rfc822 format available.

Notification sent to Steven Chamberlain <steven@pyro.eu.org>:
Bug acknowledged by developer. (Fri, 22 Jun 2012 20:57:19 GMT) Full text and rfc822 format available.

Message #27 received at 678136-close@bugs.debian.org (full text, mbox):

From: Arno Töll <arno@debian.org>
To: 678136-close@bugs.debian.org
Subject: Bug#678136: fixed in zfsutils 9.0-3
Date: Fri, 22 Jun 2012 20:55:57 +0000
Source: zfsutils
Source-Version: 9.0-3

We believe that the bug you reported is fixed in the latest version of
zfsutils, which is due to be installed in the Debian FTP archive:

libnvpair1-udeb_9.0-3_kfreebsd-amd64.udeb
  to main/z/zfsutils/libnvpair1-udeb_9.0-3_kfreebsd-amd64.udeb
libnvpair1_9.0-3_kfreebsd-amd64.deb
  to main/z/zfsutils/libnvpair1_9.0-3_kfreebsd-amd64.deb
libumem1-udeb_9.0-3_kfreebsd-amd64.udeb
  to main/z/zfsutils/libumem1-udeb_9.0-3_kfreebsd-amd64.udeb
libumem1_9.0-3_kfreebsd-amd64.deb
  to main/z/zfsutils/libumem1_9.0-3_kfreebsd-amd64.deb
libuutil1-udeb_9.0-3_kfreebsd-amd64.udeb
  to main/z/zfsutils/libuutil1-udeb_9.0-3_kfreebsd-amd64.udeb
libuutil1_9.0-3_kfreebsd-amd64.deb
  to main/z/zfsutils/libuutil1_9.0-3_kfreebsd-amd64.deb
libzfs1-udeb_9.0-3_kfreebsd-amd64.udeb
  to main/z/zfsutils/libzfs1-udeb_9.0-3_kfreebsd-amd64.udeb
libzfs1_9.0-3_kfreebsd-amd64.deb
  to main/z/zfsutils/libzfs1_9.0-3_kfreebsd-amd64.deb
libzpool1-udeb_9.0-3_kfreebsd-amd64.udeb
  to main/z/zfsutils/libzpool1-udeb_9.0-3_kfreebsd-amd64.udeb
libzpool1_9.0-3_kfreebsd-amd64.deb
  to main/z/zfsutils/libzpool1_9.0-3_kfreebsd-amd64.deb
zfsutils-udeb_9.0-3_kfreebsd-amd64.udeb
  to main/z/zfsutils/zfsutils-udeb_9.0-3_kfreebsd-amd64.udeb
zfsutils_9.0-3.debian.tar.gz
  to main/z/zfsutils/zfsutils_9.0-3.debian.tar.gz
zfsutils_9.0-3.dsc
  to main/z/zfsutils/zfsutils_9.0-3.dsc
zfsutils_9.0-3_kfreebsd-amd64.deb
  to main/z/zfsutils/zfsutils_9.0-3_kfreebsd-amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 678136@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Arno Töll <arno@debian.org> (supplier of updated zfsutils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 22 Jun 2012 21:28:36 +0200
Source: zfsutils
Binary: libuutil1 libuutil1-udeb libnvpair1 libnvpair1-udeb libzfs1 libzfs1-udeb zfsutils zfsutils-udeb libumem1 libumem1-udeb libzpool1 libzpool1-udeb
Architecture: source kfreebsd-amd64
Version: 9.0-3
Distribution: unstable
Urgency: low
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Changed-By: Arno Töll <arno@debian.org>
Description: 
 libnvpair1 - OpenSolaris name-value pair library
 libnvpair1-udeb - OpenSolaris name-value pair library (debian-installer version) (udeb)
 libumem1   - OpenSolaris memory-management library
 libumem1-udeb - OpenSolaris memory-management library (debian-installer version) (udeb)
 libuutil1  - OpenSolaris userland utility library
 libuutil1-udeb - OpenSolaris userland utility library (debian-installer version) (udeb)
 libzfs1    - OpenSolaris ZFS library
 libzfs1-udeb - OpenSolaris ZFS library (debian-installer version) (udeb)
 libzpool1  - OpenSolaris interface library to manage ZFS storage pools
 libzpool1-udeb - OpenSolaris interface library to manage ZFS storage pools (debian (udeb)
 zfsutils   - command-line tools to manage ZFS filesystems
 zfsutils-udeb - command-line tools to manage ZFS filesystems (debian-installer ve (udeb)
Closes: 678136
Changes: 
 zfsutils (9.0-3) unstable; urgency=low
 .
   * Apply patch supplied by Steven Chamberlain to fix "FTBFS with
     libbsd-dev >= 0.4.0" (Closes: #678136)
   * Update my maintainer address
   * Remove DMUA flag - it's not needed anymore
   * Push standards version without changes
Checksums-Sha1: 
 06d333393c7fee8a5ab79c340a1b8df45fca841c 2623 zfsutils_9.0-3.dsc
 9f2e8a2b7970f0fa20c93dc384b6e1a462c122b2 57870 zfsutils_9.0-3.debian.tar.gz
 36dfdc94295c2d6b9287c62f6f83a736a8d69140 31508 libuutil1_9.0-3_kfreebsd-amd64.deb
 35a6cbe976cddeb25b479117bdf89dadfd5e67d6 15170 libuutil1-udeb_9.0-3_kfreebsd-amd64.udeb
 5740178b02223ebf9c8dbbfecd5b42901f8c5956 37166 libnvpair1_9.0-3_kfreebsd-amd64.deb
 351f5ef08873ea37aebde22ab8f98087562069d7 19174 libnvpair1-udeb_9.0-3_kfreebsd-amd64.udeb
 48b66ebfa2d433dc55e9cf376addeab58baccfaf 133966 libzfs1_9.0-3_kfreebsd-amd64.deb
 f414e95892f46b82d2c6a76c8138dc1e6dd2a4b0 101096 libzfs1-udeb_9.0-3_kfreebsd-amd64.udeb
 c04494f3d492dbcf8fec26283097736296466052 231696 zfsutils_9.0-3_kfreebsd-amd64.deb
 9242eda3cf5394ec48d2b41e653fe37d07b2df17 65830 zfsutils-udeb_9.0-3_kfreebsd-amd64.udeb
 d9078f02cb4323f5f75176ff106cc131d4d4ba9d 16710 libumem1_9.0-3_kfreebsd-amd64.deb
 6e6685101d27fa3628d4bff991a50465296f0724 2852 libumem1-udeb_9.0-3_kfreebsd-amd64.udeb
 611649ac7bd975cf420be3c3d42def2792e4dead 498890 libzpool1_9.0-3_kfreebsd-amd64.deb
 7ff7b6756b533272f45b21cfdd64ea64c5fb20a6 395588 libzpool1-udeb_9.0-3_kfreebsd-amd64.udeb
Checksums-Sha256: 
 d4210189aa10fa7f350265180f08a9ebe9757d5202f2e8c5729008e925817226 2623 zfsutils_9.0-3.dsc
 6b4b2e6aab8ec69b9c72f83ffa3fbb307f216295d391759172411e907aa97cf2 57870 zfsutils_9.0-3.debian.tar.gz
 c35142afdedd7b7453449cbde461e5352694617c27b65895a08f42726f15ee5d 31508 libuutil1_9.0-3_kfreebsd-amd64.deb
 55443abc5e07603a308a76016481c9174d4d2ab1a186e405cc5f0057500e635b 15170 libuutil1-udeb_9.0-3_kfreebsd-amd64.udeb
 06ca298746d7f00929e07c6f51460a22be7961b12b1b490253a5f76560f558ec 37166 libnvpair1_9.0-3_kfreebsd-amd64.deb
 2a8f237b5bf01d8fecf9b62c8b82d6a735a39224736a067e397e0b5e21c0f305 19174 libnvpair1-udeb_9.0-3_kfreebsd-amd64.udeb
 82d00987efb1f9651c6e2ce9524d8097c1070a1165cdda7bc2ea2a48eb394656 133966 libzfs1_9.0-3_kfreebsd-amd64.deb
 336c392513591e8a6626242787ecba55349b28ee44808ad27c265a5e10c67b25 101096 libzfs1-udeb_9.0-3_kfreebsd-amd64.udeb
 77a803f6f298fe13d233fcbe756fce7eb816c1c07089b41fe43930ae924ddcf3 231696 zfsutils_9.0-3_kfreebsd-amd64.deb
 467d5b0f609fe1f810ed1cd565717d06aea91bda1a6a0598e55d78d7f42081f6 65830 zfsutils-udeb_9.0-3_kfreebsd-amd64.udeb
 5ddedc61334ac745fc096783bd201fd471fdcf02f7b4038967153e5f3df9974e 16710 libumem1_9.0-3_kfreebsd-amd64.deb
 429ddbf07202eebf521a9642a3197544c4eabdd8787899b27e57a476628535e4 2852 libumem1-udeb_9.0-3_kfreebsd-amd64.udeb
 08e500fe454cd4c053ea4aa352566d7b78d4fa7adcbe67393ec5dd5e5962288b 498890 libzpool1_9.0-3_kfreebsd-amd64.deb
 191d3f9d1e36aa92f1a0ed0107b6cb462a405d6914c3eed6efc740fc02dcc12c 395588 libzpool1-udeb_9.0-3_kfreebsd-amd64.udeb
Files: 
 53bbb7b80239fde74dceb3ff6eba1077 2623 admin optional zfsutils_9.0-3.dsc
 10fe0276aa0114317349e1c3742a99f7 57870 admin optional zfsutils_9.0-3.debian.tar.gz
 82871d67b03d8b7ad145f4a652238671 31508 libs optional libuutil1_9.0-3_kfreebsd-amd64.deb
 61afe04395dab0acc3e969dba911f872 15170 debian-installer optional libuutil1-udeb_9.0-3_kfreebsd-amd64.udeb
 97a2142622dc0dd75f216d3e7bf19a8b 37166 libs optional libnvpair1_9.0-3_kfreebsd-amd64.deb
 ebc332dcdbf47c61bfa98bc79e0b824d 19174 debian-installer optional libnvpair1-udeb_9.0-3_kfreebsd-amd64.udeb
 1c4fe33662836b14596b79f2a8d79bd4 133966 libs optional libzfs1_9.0-3_kfreebsd-amd64.deb
 a736966efbfaeb2de952bacaf3d2af87 101096 debian-installer optional libzfs1-udeb_9.0-3_kfreebsd-amd64.udeb
 2469e05f1373922e9605865e73cd67fb 231696 admin optional zfsutils_9.0-3_kfreebsd-amd64.deb
 c3bd89ccb1d016420137ff7fd0bb0765 65830 debian-installer optional zfsutils-udeb_9.0-3_kfreebsd-amd64.udeb
 eec80e2aa28ec38039fd7030588f57df 16710 libs optional libumem1_9.0-3_kfreebsd-amd64.deb
 b4ed2309825503a5f976e499a8378441 2852 debian-installer optional libumem1-udeb_9.0-3_kfreebsd-amd64.udeb
 e1b02023f8de5e494672b24a5b17f994 498890 libs optional libzpool1_9.0-3_kfreebsd-amd64.deb
 fc968436f568418828e3df747b85bc43 395588 debian-installer optional libzpool1-udeb_9.0-3_kfreebsd-amd64.udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBAgAGBQJP5NMwAAoJEMcrUe6dgPNtVNAQAKB4p1/kNw9tKckxgzTeyCi0
HK3Lmqiq708LSOV6QyYuIUdXAtOnnMtMrCHTzO5GWJvCPZt+j3iFK2Ih/k3WrNhI
KuN+fBwaSEVvsDnFSYGAwbYASzMxYW05YP4RFtkLv3JKB7FRTxySVNNJckRdPAQU
jZWP9BAVl4Lw+uP88pz0C/DOGtpZjytxyPxwcJ7m3MNTU2iVoc0uVzVhxd+2Q971
O54BHQR5sL43Iilodgz6xINHxKZMVnGtcpFRffF/U8qzVefF/mdO+bc8BEhDkRz6
3xm73Xj+MYyClrao+4rQq0FEoJq9wVZDgW9V0qFqBmpO7zp002r/D3O2pcdZ/kjt
sNzdAqvwFFpBis/J/ljZI4J2SHDuiBAHOXk6FgQSUImCtc7ZL7k7NgOoCV+We6ms
UKQKzgOQDOKO8WjIFmULy0zuNKbIWl2FOt5XIRDL+OlbDfoDKokwrI44/rkqy5fi
UThMxQ0yatHCE3E59+RCnx9lW9sAVitjpCM2s0pSbnk28UYVLf9xwZzcycx6Pq5w
S0V3EqAWQEfPz2rtEDnzrLj/Yw0sJ8nK4am2RKMVHcCKw9X9eeVckYpbWJlllbbt
b1DTgoeHdEHsIDACRtZe/O3ZUE+0NIjSf6md+EpuE/UzM6mpfBAVv4haZykxNsgD
CeW/FS7e1QnTk91bazgA
=P5yR
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#678136; Package zfsutils. (Fri, 22 Jun 2012 21:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guillem Jover <guillem@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Fri, 22 Jun 2012 21:33:07 GMT) Full text and rfc822 format available.

Message #32 received at 678136@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: Arno Töll <arno@debian.org>, 678136@bugs.debian.org
Cc: Steven Chamberlain <steven@pyro.eu.org>
Subject: Re: Bug#678136: zfsutils: FTBFS with libbsd-dev >= 0.4.0
Date: Fri, 22 Jun 2012 23:10:26 +0200
On Thu, 2012-06-21 at 21:40:39 +0200, Arno Töll wrote:
> tag 678136 + pending
> thanks

> On 21.06.2012 21:18, Steven Chamberlain wrote:
> > Actually you're right, it's fine now in up-to-date sid chroot.
> 
> cool, thanks. I'll wait a bit for Robert or someone else to comment on
> the patch. Otherwise I'll upload it soon.

I guess the libbsd-overlay could be used instead to avoid having to
patch the sources.

And sorry I didn't catch this when I was supposed to check all reverse
depends.

thanks,
guillem




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#678136; Package zfsutils. (Fri, 22 Jun 2012 22:36:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arno Töll <arno@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Fri, 22 Jun 2012 22:36:02 GMT) Full text and rfc822 format available.

Message #37 received at 678136@bugs.debian.org (full text, mbox):

From: Arno Töll <arno@debian.org>
To: Guillem Jover <guillem@debian.org>, 678136@bugs.debian.org
Subject: Re: Bug#678136: zfsutils: FTBFS with libbsd-dev >= 0.4.0
Date: Sat, 23 Jun 2012 00:32:32 +0200
[Message part 1 (text/plain, inline)]
Hi,

On 22.06.2012 23:10, Guillem Jover wrote:
> On Thu, 2012-06-21 at 21:40:39 +0200, Arno Töll wrote:
> I guess the libbsd-overlay could be used instead to avoid having to
> patch the sources.

True, but that part was patched already anyway, so it does not hurt at all.

> And sorry I didn't catch this when I was supposed to check all reverse
> depends.

Don't worry (as for me).

-- 
with kind regards,
Arno Töll
IRC: daemonkeeper on Freenode/OFTC
GnuPG Key-ID: 0x9D80F36D

[signature.asc (application/pgp-signature, attachment)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 23 Jul 2012 07:31:13 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 02:48:41 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.